Hyperbolic (Colt 1.2.0 - API Specification)
Keywords: cern.jet.random.Hyperbolic class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cern.jet.random
Class Hyperbolic

    java.lang.Object
      cern.colt.PersistentObject
          cern.jet.random.AbstractDistribution
              cern.jet.random.AbstractContinousDistribution
                  cern.jet.random.Hyperbolic

All Implemented Interfaces:
  Cloneable, DoubleFunction, IntFunction, Serializable

public class Hyperbolic
extends AbstractContinousDistribution

Hyperbolic distribution.

Valid parameter ranges: `alpha > 0` and `beta > 0`.

Instance methods operate on a user supplied uniform random number generator; they are unsynchronized.

Static methods operate on a default uniform random number generator; they are synchronized.

Implementation:

Method: Non-Universal Rejection. High performance implementation.
This is a port of `hyplc.c` from the C-RAND / WIN-RAND library. C-RAND's implementation, in turn, is based upon

L. Devroye (1986): Non-Uniform Random Variate Generation, Springer Verlag, New York.

Version:
  1.0, 09/24/99
See Also:
  Serialized Form

Field Summary

Fields inherited from class cern.colt.PersistentObject
`serialVersionUID`

Constructor Summary
`Hyperbolic(double alpha, double beta, RandomEngine randomGenerator)` Constructs a Beta distribution.

Method Summary
`double` | `nextDouble()` Returns a random number from the distribution.
`double` | `nextDouble(double alpha, double beta)` Returns a hyperbolic distributed random number; bypasses the internal state.
`void` | `setState(double alpha, double beta)` Sets the parameters.
`static double` | `staticNextDouble(double alpha, double beta)` Returns a random number from the distribution.
`String` | `toString()` Returns a String representation of the receiver.

Methods inherited from class cern.jet.random.AbstractDistribution
`apply, apply, clone, makeDefaultGenerator, nextInt`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Hyperbolic

    public Hyperbolic(double alpha,
                      double beta,
                      RandomEngine randomGenerator)

  Constructs a Beta distribution.

Method Detail

### nextDouble

    public double nextDouble()

  Returns a random number from the distribution.

  Specified by:
    `nextDouble` in class `AbstractDistribution`

### nextDouble

    public double nextDouble(double alpha,
                             double beta)

  Returns a hyperbolic distributed random number; bypasses the internal state.

### setState

    public void setState(double alpha,
                         double beta)

  Sets the parameters.

### staticNextDouble

    public static double staticNextDouble(double alpha,
                                          double beta)

  Returns a random number from the distribution.

### toString

    public String toString()

  Returns a String representation of the receiver.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jump to the Colt Homepage